org.apache.hadoop.mapred.lib

## Interface InputSampler.Sampler<K,V>

- All Superinterfaces:
    InputSampler.Sampler<K,V>
  Enclosing class:
    InputSampler<K,V>

      public static interface InputSampler.Sampler<K,V>
      extends InputSampler.Sampler<K,V>

  Interface to sample using an `InputFormat`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `K[]` | `getSample(InputFormat<K,V> inf, JobConf job)` For a given job, collect and return a subset of the keys from the input data.

    - ### Methods inherited from interface org.apache.hadoop.mapreduce.lib.partition.InputSampler.Sampler

      `getSample`

- - ### Method Detail

    - #### getSample

          K[] getSample(InputFormat<K,V> inf,
                        JobConf job)
                 throws IOException

      For a given job, collect and return a subset of the keys from the input data.
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.